/******************************************************************************
 * consoledialog.h - Display the app messages
 *
 * yamce - Yet Another Minecraft Editor
 * Copyright(c) 2019 - Dick Balaska, and BuckoSoft.
 *
 * yamce is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * yamce is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *****************************************************************************/
#ifndef CONSOLEDIALOG_H
#define CONSOLEDIALOG_H

#include <QDialog>

#include "consoleman.h"

class QTextEdit;

class MainWindow;

class ConsoleDialog : public QDialog
{
private:
	typedef QDialog super;
	Q_OBJECT
public:
	explicit ConsoleDialog(QWidget *parent, MainWindow* mainWindow);

	void	appendMsg(const ConsoleMsg* msg);
signals:

public slots:

private:
	MainWindow*	m_mainWindow;
	QTextEdit* m_textEdit;
};

#endif // CONSOLEDIALOG_H
